#ifndef CNTLR_SON_H
#define CNTLR_SON_H

typedef int (*son_func_t)(void *cntlr, void *plugin_private,
			  int (*son_plugin_response_cb)(void *cntlr, const char *json_response));

int cntlr_son_response_cb(void *cntlr, const char *json_response);

int cntlr_son_init(void *cntlr);
void cntlr_son_exit(void *cntlr);

#endif /* CNTLR_SON_H */
